Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8120 - unsubscribtable type error in xf86config.py
Summary: unsubscribtable type error in xf86config.py
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 00:58 UTC by scott.mann
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-14 17:11:56 UTC


Attachments (Terms of Use)

Description scott.mann 2000-01-03 00:58:01 UTC
I am using kickstart and have the entry
xconfig --server "VGA16" --monitor "generic monitor"
in the ks.cfg file. When the system boots it generates:

/usr/lib/python1.5/site-packages/xf86config.py line 153 in setVidcard
	selfdevID=self.vidCards[0]["NAME"]
	TypeError: unsubscriptable object

Looks like a bug in the code or arguments to --server or --card
must be specified in an undocumented(?) way.

Comment 1 Cristian Gafton 2000-01-06 21:04:59 UTC
Assigned to jturner

Comment 2 Jay Turner 2000-02-14 17:11:59 UTC
This issue should be fixed in the latest cut of the installer available in
RawHide (beta)


Note You need to log in before you can comment on or make changes to this bug.